<?php


function optionsframework_option_name() {

	
	$themename = get_option( 'stylesheet' );
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}

function optionsframework_options() {
	
	// Test data
	$test_array = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
	
	// Multicheck Array
	$multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
	
	// Multicheck Defaults
	$multicheck_defaults = array("one" => "1","five" => "1");
	
	// Background Defaults
	
	$background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat','position' => 'top center','attachment'=>'scroll');
	
	
	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->post_name] = $page->post_title;
	}
		
	// If using image radio buttons, define a directory path
	$imagepath =   get_stylesheet_directory_uri('stylesheet_directory') . '/images/';
		

	
	$options = array();
		
	$options[] = array( "name" =>  __( 'Theme Settings', 'bt' ),
						"type" => "heading");
							
	$options[] = array( "name" => __( 'Upload a Logo', 'bt' ),
						"desc" =>  '',
						"id" => "bt_logo",
						"type" => "upload");
						
						$options[] = array( "name" => "Color Scheme",
						"desc" => "Select a theme color scheme",
						"id" => "bt_color",
						"type" => "select",
						"options" => array(
						'green' =>'green',
						'blue' => 'blue',
						'red' => 'red',
						'orange' => 'orange',
						'purple' => 'purple'),
						"std" => "green");
						
	$options[] = array( "name" =>  __( 'Upload a favicon', 'bt' ),
						"id" => "bt_favicon",
						"type" => "upload");
						
							$options[] = array( "name" =>  __( 'Shop Page Heading', 'bt' ),
						"desc" =>  __( 'Enter a title', 'bt' ),
						"id" => "bt_shop_title",
						"std" => "Our Shop",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Shop Page Subheading', 'bt' ),
						"desc" =>  __( 'Enter a title', 'bt' ),
						"id" => "bt_shop_subtitle",
						"std" => "Welcome",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Business Contact Number', 'bt' ),
						"id" => "bt_contact",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Copyright info', 'bt' ),
						"desc" =>  __( 'Enter your copyright information', 'bt' ),
						"id" => "copyright_info",
						"std" => "Copyright © 2012 hover. All rights reserved.",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Show cart in header?', 'bt' ),
						"desc" =>  __( 'Do you want the cart in header instead of footer?', 'bt' ),
						"id" => "cart_check",
						"std" => "0",
						"type" => "checkbox");
						
	$options[] = array( "name" =>  __( 'Google Analytics', 'bt' ),
						"desc" =>  __( 'Enter google analytics code (optional)', 'bt' ),
						"id" => "bt_analytics",
						"type" => "textarea");
						
	
						
	$options[] = array( "name" =>  __( 'Homepage Settings', 'bt' ),
						"type" => "heading");
						
						$options[] = array( "name" => __( 'Upload a main image', 'bt' ),
						"desc" =>  'Used in place of slider for mobile devices',
						"id" => "bt_homepic",
						"type" => "upload");
						
						$options[] = array( "name" =>  __( 'Opening Heading', 'bt' ),
						"desc" => "",
						"id" => "home_heading",
						"std" => "",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Opening Text', 'bt' ),
						"desc" => "",
						"id" => "home_text",
						"std" => "",
						"type" => "textarea");
						
						$options[] = array( "name" =>  __( 'Button Text', 'bt' ),
						"desc" => "visit shop",
						"id" => "home_button",
						"std" => "",
						"type" => "text");
						
						 $options[] = array( "desc" =>  __( 'Slect a page to link to', 'bt' ),
						"id" => "homebutton_link",
						"type" => "select",
						"options" => $options_pages);
						
						
						
						$options[] = array( "name" =>  __( 'Get featured homepage products', 'bt' ),
						"desc" =>  __( 'Enter a tag from products', 'bt' ),
						"id" => "features_tag",
						"type" => "text");
						
	
	$options[] = array( "name" =>  __( 'Social Settings', 'bt' ),
						"type" => "heading");
						
	$options[] = array( "name" =>  __( 'Twitter username', 'bt' ),
						"desc" => "",
						"id" => "social_twitname",
						"std" => "",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Number of tweets to display', 'bt' ),
						"desc" => "",
						"id" => "social_tweets",
						"std" => "2",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Facebook username', 'bt' ),
						"desc" => "",
						"id" => "social_facebook",
						"std" => "",
						"type" => "text");
						
						
	$options[] = array( "name" =>  __( 'Linkedin url', 'bt' ),
						"desc" => "",
						"id" => "social_linkedin",
						"std" => "",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Dribble url', 'bt' ),
						"desc" => "",
						"id" => "social_dribble",
						"std" => "",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Youtube url', 'bt' ),
						"desc" => "",
						"id" => "social_youtube",
						"std" => "",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Vimeo url', 'bt' ),
						"desc" => "",
						"id" => "social_vimeo",
						"std" => "",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Google +1 url', 'bt' ),
						"desc" => "",
						"id" => "social_googleplus",
						"std" => "",
						"type" => "text");
						
						$options[] = array( "name" =>  __( 'Pinterest url', 'bt' ),
						"desc" => "",
						"id" => "social_pinterest",
						"std" => "",
						"type" => "text");
						
								$options[] = array( "name" =>  __( 'Instagram url', 'bt' ),
						"desc" => "",
						"id" => "social_instagram",
						"std" => "",
						"type" => "text");
						
						$options[] = array( "name" => __('Twitter OAuth','framework_localize'),
			"type" => "heading");
			
			$options[] = array( "name" => __('Consumer Key','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => "social_key",
			"std" => "",
			"type" => "text");
			
			$options[] = array( "name" => __('Consumer Secret','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => "social_secret",
			"std" => "",
			"type" => "text");
			
				$options[] = array( "name" => __('Access Token','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => "social_token",
			"std" => "",
			"type" => "text");
			
				$options[] = array( "name" => __('Access Token Secret','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => "social_secret_token",
			"std" => "",
			"type" => "text");
						
						
																	
	$options[] = array( "name" =>  __( 'Contact Page Settings', 'bt' ),
						"type" => "heading");
						
	$options[] = array( "name" =>  __( 'Show google map on contact page?', 'bt' ),
						"desc" =>  __( 'Check box to how map', 'bt' ),
						"id" => "map_check",
						"std" => "0",
						"type" => "checkbox");
						
	$options[] = array( "name" =>  __( 'Google map latitude', 'bt' ),
						"desc" => "",
						"id" => "map_lat",
						"std" => "",
						"class" => "mini",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Google map longitude', 'bt' ),
						"desc" => "",
						"id" => "map_long",
						"std" => "",
						"class" => "mini",
						"type" => "text");
						
	$options[] = array( "name" =>  __( 'Google map zoom level', 'bt' ),
						"desc" => "",
						"id" => "map_zoom",
						"std" => "15",
						"class" => "mini",
						"type" => "text");
						
						
							$options[] = array( "name" =>  __( 'Contact form email', 'bt' ),
						"desc" => "If blank email will be sent to blog admin email",
						"id" => "bt_email",
						"class" => "mini",
						"type" => "text");
						
	
						
	return $options;
}