<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title>
<?php
 
  global $page, $paged;

  wp_title( '|', true, 'right' );

  
  bloginfo( 'name' );

  $site_description = get_bloginfo( 'description', 'display' );
  if ( $site_description && ( is_home() || is_front_page() ) )
    echo " | $site_description";

 
  if ( $paged >= 2 || $page >= 2 )
    echo ' | ' . sprintf( __( 'Page %s', 'bent' ), max( $paged, $page ) );

  ?>
</title>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" id="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=10.0,initial-scale=1.0" />

<link rel="profile" href="http://gmpg.org/xfn/11" />
<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!-- touch icons -->
<link rel="shortcut icon" href="<?php echo of_get_option('bt_favicon', ''); ?>">
<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php get_template_directory_uri();?>/ico/apple-touch-icon-144-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php get_template_directory_uri();?>/ico/apple-touch-icon-114-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php get_template_directory_uri();?>/ico/apple-touch-icon-72-precomposed.png">
<link rel="apple-touch-icon-precomposed" href="<?php get_template_directory_uri();?>/ico/apple-touch-icon-57-precomposed.png">

<!--[if lt IE 9]>
<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<?php wp_head(); ?>

</head>
<body <?php body_class(); ?>  data-spy="scroll" data-target=".subnav" data-offset="50"  >
<header>
<div class="navbar navbar-fixed-top">
<div class="navbar-inner">
<div class="container">
<div class="logo"><?php if ( of_get_option('bt_logo','true')) : {?> <a class="brand" href="<?php echo home_url(); ?>"><img src="<?php echo of_get_option('bt_logo','');?>" alt="logo"></a>
<?php }
		 else: { ?>
<div id="textlogo" class="left">
<h2><a href="<?php echo home_url(); ?>">
<?php bloginfo('name'); ?>
</a></h2>
<span id="sublogo">
<?php bloginfo('description'); ?>
</span> </div>
<?php } endif;?>
</div>
<?php global $woocommerce; ?>
<?php  $cartcheck = of_get_option('cart_check')?>
<?php if ($cartcheck == 1) { ?><div class="cart-box"><i class="icon-shopping-cart icon-white pull-left"></i> Cart<span class="badge badge-info"><a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'woothemes'); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'woothemes'), $woocommerce->cart->cart_contents_count);?> - <?php echo $woocommerce->cart->get_cart_total(); ?></a></span></div><?php } else { ?>



<div class="social-box">
<?php $twitter  = of_get_option("social_twitname"); ?>
<?php $facebook  = of_get_option("social_facebook"); ?>
<?php $googleplus  = of_get_option("social_googleplus"); ?>
<?php $linkedin  = of_get_option("social_linkedin"); ?>
<?php $dribble  = of_get_option("social_dribble"); ?>
<?php $youtube  = of_get_option("social_youtube"); ?>
<?php $vimeo  = of_get_option("social_vimeo"); ?>
<?php $pinterest  = of_get_option("social_pinterest"); ?>
<?php $instagram  = of_get_option("social_instagram"); ?>
<ul class="social pull-right">
<?php if(!empty($twitter)){?>
<li class="twitter"><a href="http://www.twitter.com/<?php echo $twitter; ?>"  data-tip="bottom" data-original-title="twitter"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/twitter.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($facebook)){?>
<li class="facebook"><a href="http://www.facebook.com/<?php echo $facebook; ?>" data-tip="bottom" data-original-title="facebook"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/facebook.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($youtube)){?>
<li class="youtube"><a href="<?php echo $youtube; ?>"  data-tip="bottom" data-original-title="youtube"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/youtube.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($linkedin)){?>
<li class="linkedin"><a href="<?php echo $linkedin; ?>"  data-tip="bottom" data-original-title="linkedin"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/linkedin.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($googleplus)){?>
<li class="google"><a href="<?php echo $googleplus; ?>"  data-tip="bottom" data-original-title="googleplus"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/google.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($vimeo)){?>
<li class="vimeo"><a href="<?php echo $vimeo; ?>" data-tip="bottom" data-original-title="vimeo"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/vimeo.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($dribble)){?>
<li class="dribble"><a href="<?php echo $dribble; ?>"  data-tip="bottom" data-original-title="dribble"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/dribble.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($pinterest)){?>
<li class="pinterest"><a href="<?php echo $pinterest; ?>"  data-tip="bottom" data-original-title="pinterest"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/pinterest.png" alt=""></a></li>
<?php } ?>
<?php if(!empty($instagram)){?>
<li class="instagram"><a href="<?php echo $instagram; ?>"  data-tip="top" data-original-title="instagram"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/icons/social/instagram.png" alt=""></a></li>
<?php } ?>
</ul>
</div>

<?php };?>

<button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse"> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
<div class="nav-collapse collapse">
<div class="pull-right login">
<?php
          
      wp_nav_menu( array( 'walker' => new bt_walker_nav_menu(), 'theme_location' => 'menu-main', 'container_class' => 'nav-collapse', 'menu_class' => 'nav', 'menu_id' => 'main-menu')); ?>
</div>
</div>
</div>
</div>
</div>
</header>
<?php if ( is_home() ) {
   echo ' <div id="background" class="wrapper-main">';
}
else {
	 echo ' <div id="background2" class="wrapper-main">';
	 }

 ?>